Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.custom
Class FXCMRequestReject

    java.lang.Object
      com.fxcm.fix.custom.AFXCMMessage
          com.fxcm.fix.custom.FXCMRequestReject

All Implemented Interfaces:
  ITransportable

    public class FXCMRequestReject

extends AFXCMMessage

Used to respond to FXCM Request, FXCM News Request, FXCM News Topic Request messages

Field Summary
`static com.fxcm.entity.ICode` | `OBJ_TYPE` Message type
`static int` | `REJECT_GENERIC` Generic error (w/o specific code).
`static int` | `REJECT_NODATA` No data reject.
`static int` | `REJECT_TRADING_SESSION_NOT_FOUND` Trading session not found.
`static int` | `REJECT_UNKNOWN` Unknown error.

Fields inherited from class com.fxcm.fix.custom.AFXCMMessage
`RESPONSEECODING_DAS, RESPONSEECODING_DS, RESPONSEECODING_RE`

Constructor Summary
`FXCMRequestReject()` Default constructor.
`FXCMRequestReject(AFXCMMessage aMessage)`

Method Summary
`boolean` | `copy(AFXCMMessage aMessage)`
`boolean` | `deepCopy(AFXCMMessage aMessage)`
`boolean` | `fill(IMessage aMsg)` Fills object state based on message state.
`boolean` | `fill(Throwable aThrowable)`
`String` | `getErrorDetails()` Gets error details
`String` | `getRefMsgType()` The MsgType of the FIX message being referenced.
`int` | `getRequestReject()` Gets request reject code.
`String` | `getText()` Gets text.
`com.fxcm.entity.ICode` | `getType()` Obtains object type.
`void` | `reset()` Reset object state to default values.
`void` | `setErrorDetails(String asFXCMErrorDetails)` Sets error details
`void` | `setRefMsgType(String aRefMsgType)` Sets the Reference Message Type
`void` | `setRequestReject(int aiFXCMRequestReject)` Sets request reject code.
`void` | `setText(String asText)` Sets text.
`IMessage` | `toMessage(String aSID, String aTradingSessionID, String aTradingSessionSubID, String aRequestID, int aOptions, IMessageFactory aFactory)` Converts object to message.
`String` | `toString()`

Methods inherited from class com.fxcm.fix.custom.AFXCMMessage
`addAddon, getAddons, getCustomBusID, getDatabaseBusID, getDBAlias, getEntityCode, getFXCMCommandID, getMakingTime, getMessageBusID, getParam, getParams, getRequestBusID, getRequestID, getRequestorID, getResponseEncoding, getSessionID, getTestReqID, getTradingSessionID, getTradingSessionSubID, getTransactTime, isValid, setAddons, setCustomBusID, setDatabaseBusID, setDBAlias, setEntityCode, setFXCMCommandID, setMessageBusID, setParam, setParams, setRequestBusID, setRequestorID, setResponseEncoding, setSessionID, setTestReqID, setTradingSessionID, setTradingSessionSubID, setTransactTime, toMessage, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REJECT_UNKNOWN

    public static final int REJECT_UNKNOWN

  Unknown error.

  See Also:
    Constant Field Values

### REJECT_GENERIC

    public static final int REJECT_GENERIC

  Generic error (w/o specific code).

  See Also:
    Constant Field Values

### REJECT_NODATA

    public static final int REJECT_NODATA

  No data reject.

  See Also:
    Constant Field Values

### REJECT_TRADING_SESSION_NOT_FOUND

    public static final int REJECT_TRADING_SESSION_NOT_FOUND

  Trading session not found.

  See Also:
    Constant Field Values

### OBJ_TYPE

    public static final com.fxcm.entity.ICode OBJ_TYPE

  Message type

Constructor Detail

### FXCMRequestReject

    public FXCMRequestReject()

  Default constructor.

### FXCMRequestReject

    public FXCMRequestReject(AFXCMMessage aMessage)

Method Detail

### getRequestReject

    public int getRequestReject()

  Gets request reject code.

### getText

    public String getText()

  Gets text.

### getErrorDetails

    public String getErrorDetails()

  Gets error details

### setRequestReject

    public void setRequestReject(int aiFXCMRequestReject)

  Sets request reject code.

### setText

    public void setText(String asText)

  Sets text.

### setErrorDetails

    public void setErrorDetails(String asFXCMErrorDetails)

  Sets error details

### setRefMsgType

    public void setRefMsgType(String aRefMsgType)

  Sets the Reference Message Type

  Parameters:
    `aRefMsgType` -

### getRefMsgType

    public String getRefMsgType()

  The MsgType of the FIX message being referenced.

### reset

    public void reset()

  Reset object state to default values.

  Overrides:
    `reset` in class `AFXCMMessage`

### toMessage

    public IMessage toMessage(String aSID,
                              String aTradingSessionID,
                              String aTradingSessionSubID,
                              String aRequestID,
                              int aOptions,
                              IMessageFactory aFactory)

  Converts object to message.

  Specified by:
    `toMessage` in interface `ITransportable`
  Overrides:
    `toMessage` in class `AFXCMMessage`
  Parameters:
    `aSID` - User session ID
    `aFactory` - message factory to create message objects
    `aTradingSessionID` - Trading Session ID, to alternate a value from object state
    `aTradingSessionSubID` - Trading Session Sub ID, to alternate a value from object state
    `aRequestID` - Request ID, to alternate a value from object state
    `aOptions` - Set of options for message creation, reserved
  Returns:
    Can be `null` in case of errors

### fill

    public boolean fill(IMessage aMsg)

  Fills object state based on message state.

  Specified by:
    `fill` in interface `ITransportable`
  Overrides:
    `fill` in class `AFXCMMessage`
  Parameters:
    `aMsg` - message to get new state from
  Returns:
    `true` if new state is OK; `false` otherwise.

### fill

    public boolean fill(Throwable aThrowable)

### copy

    public boolean copy(AFXCMMessage aMessage)

  Overrides:
    `copy` in class `AFXCMMessage`

### deepCopy

    public boolean deepCopy(AFXCMMessage aMessage)

  Overrides:
    `deepCopy` in class `AFXCMMessage`

### getType

    public com.fxcm.entity.ICode getType()

  Obtains object type.

  Returns:
    code of object type.

### toString

    public String toString()

  Overrides:
    `toString` in class `AFXCMMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.